# docker-nginx

基于docker实现的nginx服务

## 使用方法

```sh
git clone https://git.wandoubaba.com/wandoubaba/docker-nginx.git
cd docker-nginx
docker compose up -d
```

服务启停方法

```sh
# 停止服务
./service stop
# 启动服务
./service start
# 重启服务（service脚本中的容器名称要与docker-compose.yml文件中的容器名称对应）
./service restart
# 重载配置
./service reload
# 服务状态
./service status
```

## 配置

- 在`docker-compose.yml`中可以修改容器名称。
- `conf/conf.d/default.conf`文件是默认站点的配置文件。
- 在`conf/conf.d/`中可以创建多个站点的配置文件，注意相互之间的域名和端口号不要同时冲突。

## 最佳实践

建议不要在本项目的目录中加入任何业务文件，本项目做为单独目录，只提供nginx服务。

本项目目录完全可以交给运维人员维护，前后端程序员只专注于各自的业务项目，由运维人员做好代理和转发。
